Import a form's past leads
curl --request POST \
--url https://app.flextell.ai/api/v1/meta-lead-ads/forms/{id}/backfill \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '{
"days": 45
}'import requests
url = "https://app.flextell.ai/api/v1/meta-lead-ads/forms/{id}/backfill"
payload = { "days": 45 }
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({days: 45})
};
fetch('https://app.flextell.ai/api/v1/meta-lead-ads/forms/{id}/backfill', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.flextell.ai/api/v1/meta-lead-ads/forms/{id}/backfill",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'days' => 45
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Tenant: <x-tenant>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.flextell.ai/api/v1/meta-lead-ads/forms/{id}/backfill"
payload := strings.NewReader("{\n \"days\": 45\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Tenant", "<x-tenant>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.flextell.ai/api/v1/meta-lead-ads/forms/{id}/backfill")
.header("X-Tenant", "<x-tenant>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"days\": 45\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.flextell.ai/api/v1/meta-lead-ads/forms/{id}/backfill")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Tenant"] = '<x-tenant>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"days\": 45\n}"
response = http.request(request)
puts response.read_body{
"success": "<string>",
"data": {
"id": 123,
"page_id": 123,
"form_id": "<string>",
"name": "<string>",
"meta_status": "<string>",
"locale": "<string>",
"questions": [
{
"key": "<string>",
"label": "<string>",
"type": "<string>"
}
],
"enabled": "<string>",
"connection": {
"id": 123,
"name": "<string>",
"integration": {
"id": 123,
"name": "<string>",
"system_name": "<string>",
"company_logo": null
},
"entity": {
"value": "<string>",
"label": "<string>"
},
"status": "<string>",
"connection_method": "<string>",
"inbound_url": "<string>",
"secret": "<string>",
"secret_header": "X-Flextell-Secret",
"field_mapping": [
{
"source": "<string>",
"target": "<string>"
}
],
"external_id_path": "<string>",
"settings": {},
"stats": {
"pending": 123,
"processed": 123,
"failed": 123,
"skipped": 123
},
"last_received_at": "2023-11-07T05:31:56Z",
"last_processed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"backfill": {
"status": "<string>",
"imported": 123,
"error_message": "<string>",
"started_at": "<string>",
"finished_at": "<string>"
},
"meta_created_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"success": true,
"error_code": "RESOURCE_NOT_FOUND",
"message": "<string>",
"errors": null,
"data": null
}{
"message": "<string>",
"errors": {}
}{
"success": false,
"error_code": "SETUP_REQUIRED",
"message": "Complete the required setup steps to continue.",
"data": {
"next_step": "clinic_info"
}
}MetaLeadForm
Import a form's past leads
Queues an import of the leads created in the last days days. Leads Flextell already has are
skipped; the others are written like live leads, without notifications. Follow backfill.status
on the forms list.
POST
/
v1
/
meta-lead-ads
/
forms
/
{id}
/
backfill
Import a form's past leads
curl --request POST \
--url https://app.flextell.ai/api/v1/meta-lead-ads/forms/{id}/backfill \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '{
"days": 45
}'import requests
url = "https://app.flextell.ai/api/v1/meta-lead-ads/forms/{id}/backfill"
payload = { "days": 45 }
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({days: 45})
};
fetch('https://app.flextell.ai/api/v1/meta-lead-ads/forms/{id}/backfill', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.flextell.ai/api/v1/meta-lead-ads/forms/{id}/backfill",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'days' => 45
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Tenant: <x-tenant>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.flextell.ai/api/v1/meta-lead-ads/forms/{id}/backfill"
payload := strings.NewReader("{\n \"days\": 45\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Tenant", "<x-tenant>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.flextell.ai/api/v1/meta-lead-ads/forms/{id}/backfill")
.header("X-Tenant", "<x-tenant>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"days\": 45\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.flextell.ai/api/v1/meta-lead-ads/forms/{id}/backfill")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Tenant"] = '<x-tenant>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"days\": 45\n}"
response = http.request(request)
puts response.read_body{
"success": "<string>",
"data": {
"id": 123,
"page_id": 123,
"form_id": "<string>",
"name": "<string>",
"meta_status": "<string>",
"locale": "<string>",
"questions": [
{
"key": "<string>",
"label": "<string>",
"type": "<string>"
}
],
"enabled": "<string>",
"connection": {
"id": 123,
"name": "<string>",
"integration": {
"id": 123,
"name": "<string>",
"system_name": "<string>",
"company_logo": null
},
"entity": {
"value": "<string>",
"label": "<string>"
},
"status": "<string>",
"connection_method": "<string>",
"inbound_url": "<string>",
"secret": "<string>",
"secret_header": "X-Flextell-Secret",
"field_mapping": [
{
"source": "<string>",
"target": "<string>"
}
],
"external_id_path": "<string>",
"settings": {},
"stats": {
"pending": 123,
"processed": 123,
"failed": 123,
"skipped": 123
},
"last_received_at": "2023-11-07T05:31:56Z",
"last_processed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"backfill": {
"status": "<string>",
"imported": 123,
"error_message": "<string>",
"started_at": "<string>",
"finished_at": "<string>"
},
"meta_created_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"success": true,
"error_code": "RESOURCE_NOT_FOUND",
"message": "<string>",
"errors": null,
"data": null
}{
"message": "<string>",
"errors": {}
}{
"success": false,
"error_code": "SETUP_REQUIRED",
"message": "Complete the required setup steps to continue.",
"data": {
"next_step": "clinic_info"
}
}Yetkilendirmeler
oauth2bearer
Başlıklar
Gövde
application/json